import { jsx } from "react/jsx-runtime";
import { TokenTLM as TokenTLM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTLM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "TLM", "data-name": "TokenTLM", ...props, children: /* @__PURE__ */ jsx(TokenTLM$1, { variant }) });
  }
);
TokenTLM.displayName = "TokenTLM";
Object.assign(TokenTLM, { isGdsIcon: true });
export {
  TokenTLM
};
